List History
GET/transactions/{transaction_ref}/history
Gets the version history of a transaction
Path Parameters
transaction_ref: string
Transaction reference. Accepts either an encoded Fragment ID (txn_xxx) or an external ID.
Returns
List History
curl https://api.us-west-2.fragment.dev/transactions/$TRANSACTION_REF/history{
"data": [
{
"id": "txn_dHhuX2ZyYWdfMDAx",
"account": {
"id": "ext_account_YWJjMTIz",
"external_id": "acct_external_123"
},
"allocations": [
{
"amount": "1000",
"invoice_id": "inv_abc123",
"type": "invoice_payin",
"user": {
"id": "user_abc123",
"external_id": "user-ext-001"
}
}
],
"amount": "-1000",
"created": "2026-02-12T00:00:00.000Z",
"currency": "USD",
"external_id": "bank_txn_123",
"posted": "2026-02-12T00:00:00.000Z",
"tags": [
{
"key": "region",
"value": "us-east"
}
],
"unallocated_amount": "-1000",
"version": 1,
"modified": "2026-02-12T01:00:00.000Z"
}
]
}Returns Examples
{
"data": [
{
"id": "txn_dHhuX2ZyYWdfMDAx",
"account": {
"id": "ext_account_YWJjMTIz",
"external_id": "acct_external_123"
},
"allocations": [
{
"amount": "1000",
"invoice_id": "inv_abc123",
"type": "invoice_payin",
"user": {
"id": "user_abc123",
"external_id": "user-ext-001"
}
}
],
"amount": "-1000",
"created": "2026-02-12T00:00:00.000Z",
"currency": "USD",
"external_id": "bank_txn_123",
"posted": "2026-02-12T00:00:00.000Z",
"tags": [
{
"key": "region",
"value": "us-east"
}
],
"unallocated_amount": "-1000",
"version": 1,
"modified": "2026-02-12T01:00:00.000Z"
}
]
}